%define module pyscard

Name:       python-%{module}
Version:    2.2.0
Release:    %mkrel 1
Summary:    Python smart card library
Group:      Development/Python
License:    LGPLv2+
URL:        https://pyscard.sourceforge.io/
Source0:    https://github.com/LudovicRousseau/pyscard/archive/%{version}/%{module}-%{version}.tar.gz
BuildRequires:  python3-devel
BuildRequires:  pkgconfig(libpcsclite)
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(pytest)
BuildRequires:  swig

%description
pyscard is a python module adding smart cards support to python.

It consists of the smartcard.scard module, an extension module wrapping
Windows smart card base components (also known as PCSC) on Windows, and
PCSC lite on GNU/Linux and macOS, and of the smartcard module, a
python framework with objects wrapping PCSC API.

%package -n python3-%{module}
Summary:    %{summary}

%description -n python3-%{module}
pyscard is a python module adding smart cards support to python.

It consists of the smartcard.scard module, an extension module wrapping
Windows smart card base components (also known as PCSC) on Windows, and
PCSC lite on GNU/Linux and macOS, and of the smartcard module, a
python framework with objects wrapping PCSC API.

%prep
%autosetup -n %{module}-%{VERSION}
# The swig package doesn't mark this Python project as being provided
sed -ie 's/,"swig"//' pyproject.toml

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files smartcard

%check
%pytest

%files -n python3-%{module} -f %{pyproject_files}
%license LICENSE
%doc README.md ACKS


%changelog
* Sun Dec 22 2024 danf <danf> 2.2.0-1.mga10
+ Revision: 2129144
- Update to ver. 2.2.0

* Thu Apr 11 2024 danf <danf> 2.0.9-1.mga10
+ Revision: 2056480
- Update to ver. 2.0.9

* Thu Dec 14 2023 papoteur <papoteur> 2.0.7-2.mga10
+ Revision: 2018053
- rebuild for python 3.12
- adapt to pyproject

* Tue Oct 17 2023 danf <danf> 2.0.7-1.mga10
+ Revision: 1998324
- Update to ver. 2.0.7

* Tue Mar 29 2022 umeabot <umeabot> 2.0.2-2.mga9
+ Revision: 1832612
- Mageia 9 Mass Rebuild

* Mon Feb 14 2022 danf <danf> 2.0.2-1.mga9
+ Revision: 1775044
- Update to ver. 2.0.2

* Sat Feb 12 2022 neoclust <neoclust> 1.9.9-3.mga9
+ Revision: 1773246
- Rebuild against Python 3.10

* Fri Mar 19 2021 neoclust <neoclust> 1.9.9-2.mga9
+ Revision: 1704945
- Rebuild against python 3.9

* Sat Mar 14 2020 danf <danf> 1.9.9-1.mga8
+ Revision: 1556180
- imported package python-pyscard

